Retrieve a list of recording sessions.
Filtering by custom properties
Use the query parameter to filter sessions on custom properties. Syntax:
key:value: matches sessions with a property that contains a key namedkeywith a value ofvalue; use double quotes if the value contains spaces or special characterskey:value1,value2: matches sessions with a property that contains a key namedkeyand its value is eithervalue1orvalue2key:*: matches sessions with a property that contains a key namedkeyand any value*:value: matches sessions with a property where any key has the valuevaluefoo: matches sessions with properties where any key or stringified value containsfooMultiple qualifiers can be used in the same query string; this will filter sessions matching the intersection of the qualifiers (AND).
Security
ApiKey(Required scopes: sessions.list)
- Productionhttps://api.foxglove.dev/v1/sessions
// No request payloadList of recording sessions
Array []
A key-value map of the custom properties associated with this session.
Earliest log time among visible recordings associated with this session.
Response
[ { "id": "string", "projectId": "string", "device": { … }, "key": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "properties": { … }, "recordings": [ … ], "recordingCount": 0, "recordingStart": "2019-08-24T14:15:22Z", "recordingEnd": "2019-08-24T14:15:22Z" } ]